@import url("https://fonts.googleapis.com/css2?family=DM+Sans:ital,opsz,wght@0,9..40,100..1000;1,9..40,100..1000&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

html {
  scroll-behavior: smooth;
  font-size: 16px;
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
:root {
    --orange: #bb8a55;
    --orangehover: #a07849;
    --bleu: #1F3C4F;
    --bleuhover: #162a38;
    --grisfoncé: #1f2937;
    --grismoyen: #4b5563;
    --grisclair: #9ca3af;
    --blanc: #ffffff;
    --fondgris: #f9fafb; 
    --transition: all 0.3s ease;
    --transform: translateY(-0.3rem);
}
@keyframes reveal {
  from {
    transform: scale(0.90);
    opacity: 0.9;
  }
  to {
    transform: scale(1);
    opacity: 1;    
  }
}
@keyframes fadeDown {
  from {
    opacity: 0;
    transform: translateY(-100px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}
@keyframes fadeUp {
  from {
    opacity: 0;
    transform: translateY(100px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}
@keyframes fadeRight {
  from {
    opacity: 0;
    transform: translateX(200px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}
@keyframes fadeLeft {
  from {
    opacity: 0;
    transform: translateX(-200px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}
body {
    font-family: "DM Sans", sans-serif;
    font-size: 1rem;
    color: var(--grismoyen);
}
section {
    padding-top: 5rem;
    padding-bottom: 5rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    justify-content: center;
}
h1 {
    font-size: clamp(2.2rem, 6vw, 3.75rem);
    max-width: 90%;
    font-weight: bold;
    font-family: "Poppins", sans-serif;
    color: var(--blanc);
    animation: fadeDown 2s ease forwards;
    animation-delay: 1s;
    opacity: 0;
}
h2{
    font-size: clamp(1.6rem, 3.5vw, 2.25rem);
    max-width: 90%;
    font-weight: bold;
    color: var(--grisfoncé);
    margin-bottom: 4rem;
    animation: reveal linear;
    animation-timeline: view();
    animation-range-start: cover 0%;
    animation-range-end: contain 50%;
}
h3 {
    font-size: clamp(1.25rem, 2vw, 1.35rem);
    max-width: 90%;
    font-weight:600;
    color: var(--grisfoncé);
}
h4 {
    color: var(--orange);
    font-size: clamp(0.75rem, 1.2vw, 0.9rem);
    max-width: 90%;
    font-weight: 500;
}
a {
    text-decoration: none;
}
ul {
    list-style: none;
}

/* NAV BARRE */

header {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    background-color: var(--blanc);
    padding: 0 2rem;
    box-shadow: 0 20px 25px -5px rgb(0 0 0 / 0.10), 0 8px 10px -6px rgb(0 0 0 / 0.10); 

    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 3.75rem;
    z-index: 1000;
}
header ul {
    display: flex;
    flex-direction: row;
    gap: 2.75rem;
}
header .titre {
    height: 2.5rem;
    display: flex;
    align-items: center;
    gap: 1rem;
}
header .titre img {
    height: 2.5rem;
    width: 2.5rem;
    transition: var(--transition);
}
.links a {
    color: var(--grismoyen);
    font-weight: 600;
    transition: var(--transition);
}
header .titre {
    color: var(--bleu);
    font-size: 1.25rem;
    font-weight:600;
    cursor: pointer;
    transition: var(--transition);
}
.links a:hover {
    color: var(--orange);
}
header .titre:hover {
    color: var(--orange);
}
header .titre:hover img {
    transform: scale(1.05);
}
.links a.active {
    color: var(--orangehover);
}
body.menu-open {
    overflow: hidden;
}
.menu-toggle {
    display: none;
    flex-direction: column;
    justify-content: space-between;
    width: 28px;
    height: 20px;
    background: none;
    border: none;
    cursor: pointer;
}
.menu-toggle span {
    height: 3px;
    width: 100%;
    background: var(--bleu);
    border-radius: 2px;
    transition: var(--transition);
}
.menu-toggle.active span:nth-child(1) {
    transform: rotate(45deg) translate(6px,6px);
}
.menu-toggle.active span:nth-child(2) {
    opacity: 0;
}
.menu-toggle.active span:nth-child(3) {
    transform: rotate(-45deg) translate(6px,-6px);
}
.menu-toggle span {
    transform-origin: center;
}


/* SECTION HERO */

main {
    background-image: linear-gradient(rgba(31,60,79,0.85), rgba(31,60,79,0.85)),url(./image/fond.webp);  
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    text-align: center;
    justify-content: center;
    align-items: center;
    gap: 2.75rem;
}
main h2 {
    color: var(--blanc);
    font-weight: 300;
    line-height: 2rem;
    font-size: clamp(1.25rem, 2vw, 1.35rem);
}
main a {
    color: var(--blanc);
    font-weight: bold;
    background-color: var(--orange);
    border-radius: 2rem;
    font-size: clamp(1rem, 2vw, 1.25rem);
    padding: 1.125rem 2rem;
    transition: var(--transition);
    box-shadow: 0 20px 25px -5px rgb(0 0 0 / 0.12), 0 8px 10px -6px rgb(0 0 0 / 0.12); 
    animation: fadeUp 2s ease forwards;
    animation-delay: 2s;
    opacity: 0;
}
main h2 {
    animation: fadeUp 2s ease forwards;
    animation-delay: 1.5s;
    opacity: 0;
}
main a:hover {
    background-color: var(--orangehover);
    transform: var(--transform)
}

/* INFORMATIONS */

.info {
    background-color: var(--fondgris);
}

.info-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    max-width: 80rem;
    margin-left: auto;
    margin-right: auto;
    padding-left: 1.5rem;
    padding-right: 1.5rem;
    gap: 4rem 2rem;
}
.leftcard {
    animation: fadeLeft linear;
    animation-timeline: view();
    animation-range-start: cover 0%;
    animation-range-end: contain 20%;
}
.rightcard {
    animation: fadeRight linear;
    animation-timeline: view();
    animation-range-start: cover 0%;
    animation-range-end: contain 20%;
}
.photo {
    overflow: hidden;
    height: 25rem;
    border-radius: 1.5rem;
}
.photo img {
    object-fit: cover;
    border-radius: 1.5rem;
    width: 100%;
    height: 100%;
}
.card {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    justify-content: center;
    background-color: var(--blanc);
    border-radius: 1.5rem;
    padding: 2rem;
    line-height: 2rem;
    box-shadow: 0 10px 15px -3px rgb(0 0 0 / 0.12), 0 4px 6px -4px rgb(0 0 0 / 0.12);
    transition: var(--transition);
    height: 25rem;
}
.card:hover {
    box-shadow: 0 20px 25px -5px rgb(0 0 0 / 0.12), 0 8px 10px -6px rgb(0 0 0 / 0.12); 
}
.card:hover i {
    background-color: rgba(187, 138, 85, 0.20);
}
.card i {
    color: var(--orange);
    font-size: 2rem;
    background-color: rgba(187, 138, 85, 0.10);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 4rem;
    height: 4rem;  
    margin-bottom: 1.5rem;  
}
.card h3{
    margin-bottom: 1rem;
}
.card a {
    display: inline-block;
    transition: var(--transition);
    color: var(--grismoyen);
    font-size: clamp(1.05rem, 2vw, 1.15rem);
}
.card p {
    font-size: clamp(1.05rem, 2vw, 1.15rem);
}
.card a:hover {
    color: var(--orangehover);
    transform: scale(1.004);
}

/* PRATICIEN */

/* --- FLIP CARD --- */

.carte {
    perspective: 1000px;
}

.carte-inner {
    position: relative;
    transition: transform 0.8s ease;
    transform-style: preserve-3d;
}

/* rotation */
.carte.is-flipped .carte-inner {
    transform: rotateY(180deg);
}

/* faces */
.carte-front,
.carte-back {
    backface-visibility: hidden;
}

/* front reste normal */
.carte-front {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

/* back se superpose */
.carte-back {
    position: absolute;
    inset: 0;
    transform: rotateY(180deg);

    background: var(--fondgris);
    border-radius: 1.5rem;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1rem;
}
.numero {
    font-size: 1.2rem;
    font-weight: bold;
}
.fix {
    font-size: 1.2rem;
    font-weight: bold;
}

.praticien-container {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    max-width: 100rem;
    margin-left: auto;
    margin-right: auto;
    padding-left: 1.5rem;
    padding-right: 1.5rem;
    gap: 2rem;
}
.praticien-container .carte {
    background-color: var(--fondgris);
    overflow: hidden;
    border-radius: 1.5rem;
    margin-top: 1.5rem;
    margin-bottom: 1.5rem;
    box-shadow: 0 10px 15px -3px rgb(0 0 0 / 0.12), 0 4px 6px -4px rgb(0 0 0 / 0.12);
    transition: var(--transition);
}
.praticien-container .carte:hover {
    box-shadow: 0 20px 25px -5px rgb(0 0 0 / 0.12), 0 8px 10px -6px rgb(0 0 0 / 0.12);
    transform: var(--transform) 
}
.carte img {
    object-fit: cover;
    object-position: top center;
    width: 100%;
    height: 15rem;
}
.carte h3 {
    margin-top: 1.5rem;
}
.carte p {
    color: var(--orange);
}

.liens i {
    font-size: 1rem;
    box-shadow: 0 10px 15px -3px rgb(0 0 0 / 0.12), 0 4px 6px -4px rgb(0 0 0 / 0.12);
}
.carte .liens {
    display: flex;
    gap: 1rem; 
    margin-top: 1.5rem;
    margin-bottom: 1.5rem;
    justify-content: center;
}
.liens .fa-phone {
    color: var(--blanc);
    background-color: var(--orange);
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0.5rem 2rem;
    border-radius: 0.5rem;
    transition: var(--transition);
}
.liens .fa-phone:hover {
    background-color: var(--orangehover);
}
.liens .fa-tty {
    color: var(--blanc);
    background-color: var(--grisclair);
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0.5rem 2rem;
    border-radius: 0.5rem;
    transition: var(--transition);
}
.liens .fa-tty:hover {
    background-color: var(--grismoyen);
}
.btn-phone {
    background: none;
    border: none;
    padding: 0;
    cursor: pointer;
}
.btn-blender {
    background: none;
    border: none;
    padding: 0;
    cursor: pointer;
}
.liens .fa-calendar {
    color: var(--blanc);
    background-color: var(--bleu);
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0.5rem 2rem;
    border-radius: 0.5rem;
    transition: var(--transition);
}
.liens .fa-calendar:hover {
    background-color: var(--bleuhover);
}
.liens .fa-globe {
    color: var(--blanc);
    background-color: var(--grisclair);
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0.5rem 2rem;
    border-radius: 0.5rem;
    transition: var(--transition);
}
.liens .fa-globe:hover {
    background-color: var(--grismoyen);
}
.btn-copy {
    background: none;
    border: none;
    padding: 0;
    cursor: pointer;
    background-color: #2F556B;
    color: var(--blanc);
    padding: 0.5rem 1rem;
    border-radius: 0.5rem;
    transition: var(--transition);
}
.btn-copy:hover {
    background-color: var(--bleu);
}
.btn-retour {
    background: none;
    border: none;
    padding: 0;
    cursor: pointer;
    background-color: #2F556B;
    color: var(--blanc);
    padding: 0.5rem 1rem;
    border-radius: 0.5rem;
    transition: var(--transition);
}
.btn-retour:hover {
    background-color: var(--bleu);
}


/* RESSOURCES */

.ressource {
    background-color: var(--fondgris);
}
.ressource-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    margin-left: auto;
    margin-right: auto;
    padding-left: 1.5rem;
    padding-right: 1.5rem;
    gap: 2rem;
}
.ressource-carte {
    background-color: var(--blanc);
    padding: 1.5rem;
    border-radius: 1.5rem;
    box-shadow: 0 10px 15px -3px rgb(0 0 0 / 0.12), 0 4px 6px -4px rgb(0 0 0 / 0.12);
    transition: var(--transition);
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    text-align: left;
    gap: 1.5rem;
}
.ressource-carte:hover {
    box-shadow: 0 20px 25px -5px rgb(0 0 0 / 0.12), 0 8px 10px -6px rgb(0 0 0 / 0.12);
    transform: var(--transform) 
}
.ressource-carte .left i {
    font-size: 1.5rem;
    color: var(--orange);
    background-color: rgba(187, 138, 85, 0.10);
    border-radius: 25%;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 3rem;
    height: 3rem; 
}
.ressource-carte:hover .left i{
    background-color: rgba(187, 138, 85, 0.20);
}
.ressource-carte .right {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 0.5rem;
}
.ressource-carte .right p {
    color: var(--grismoyen);
}

/* ATELIERS */ 

.atelier-container { 
    display: grid; 
    grid-template-columns: repeat(2, 1fr); 
    margin-left: auto; 
    margin-right: auto; 
    padding-left: 1.5rem; 
    padding-right: 1.5rem; 
    width: 100%;
    gap: 2rem; 
}
.atelier-carte { 
    background-color: var(--fondgris); 
    padding: 1.5rem; 
    border-radius: 1.5rem; 
    box-shadow: 0 10px 15px -3px rgb(0 0 0 / 0.12), 0 4px 6px -4px rgb(0 0 0 / 0.12); 
    transition: var(--transition); 
}
.atelier-carte:hover {
    box-shadow: 0 20px 25px -5px rgb(0 0 0 / 0.12), 0 8px 10px -6px rgb(0 0 0 / 0.12);
}
.atelier-carte:hover .statut-en-cours {
    background-color: var(--bleuhover);
}
.atelier-carte:hover .statut-a-venir {
    background-color: var(--orangehover);
}
.atelier-carte .up { 
    display: flex; 
    flex-direction: row; 
    justify-content: space-between; 
    align-items: flex-start;
    text-align: left;
} 
.atelier-carte .down { 
    display: flex; 
    flex-direction: column; 
    align-items: flex-start; 
}
.atelier-carte .down .description {
    text-align: left;
    padding-top: 1rem;
    padding-bottom: 1rem;
}
.atelier-carte .ligne {
    display: flex;
    align-items: flex-start;
    gap: 0.5rem;
    width: 100%;
    padding-bottom: 0.5rem;
}
.atelier-carte .ligne span {
    text-align: left;
    line-height: 1;
}
.atelier-carte i {
    color: var(--orange);
    flex-shrink: 0;
}
.atelier-carte .statut {
    padding: 0.2rem 0.5rem;
    border-radius: 2.5rem;
    color: var(--blanc);
    font-size: 0.8rem;
    white-space: nowrap;
}
.atelier-carte .statut-en-cours {
    background-color: var(--bleu);
}
.atelier-carte .statut-a-venir {
    background-color: var(--orange);
}

/* FOOTER */

footer {
    display: flex;
    flex-direction: column;
    text-align: center;
    padding-bottom: 2rem;
    padding-top: 3rem;
    gap: 2rem;
    background-color: var(--grisfoncé);
}
footer .contact {
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 5rem;
}
footer .contact i {
    font-size: 1.5rem;
    color: var(--orangehover);
}
footer .redir {
    display: flex;
    flex-direction: column;
    text-align: center;
    gap: 1.5rem;
}
footer .redir a {
    color: var(--grisclair);
}

/* RESPONSIVE */
@media (max-width: 1080px) {
    .praticien-container {grid-template-columns: repeat(3, 1fr);}
    .ressource-container {grid-template-columns: repeat(2, 1fr);}
}

@media (max-width: 768px) {
.info-container, .praticien-container,.ressource-container, .atelier-container {
    grid-template-columns: repeat(1, 1fr);
}
.liens {
    margin-left: 0.75rem;
    margin-right: 0.75rem;
}
.liens i {
    font-size: 1.25rem;
}
.liens .fa-calendar, .liens .fa-globe, .liens .fa-phone, .liens .fa-tty {
    padding: 0.75rem 2.5rem;
    border-radius: 1rem;
}
/* ordre mobile */
.info-container > div:nth-child(1) { order: 1; } 
.info-container > div:nth-child(2) { order: 2; }

.info-container > div:nth-child(4) { order: 3; }
.info-container > div:nth-child(3) { order: 4; }

.info-container > div:nth-child(5) { order: 5; }
.info-container > div:nth-child(6) { order: 6; }

/* menu mobile */
.menu-toggle {
    display: flex;
}
.links {
    position: fixed;
    top: 3.75rem;
    left: 0;

    width: 100%;
    height: calc(100vh - 3.75rem);

    background: var(--blanc);

    flex-direction: column;
    justify-content: center;
    align-items: center;

    gap: 2.5rem;

    transform: translateX(100%);
    opacity: 0;

    transition: transform 0.35s ease, opacity 0.35s ease;
}
.links a{
    font-size:1.25rem;
}

/* menu ouvert */
.links.open {
    transform: translateX(0);
    opacity: 1;
}

/* animation des liens */
.links li {
    opacity: 0;
    transform: translateY(20px);
}

/* quand menu ouvert */
.links.open li {
    opacity: 1;
    transform: translateY(0);
}

/* délai d'apparition progressif */
.links.open li:nth-child(1){transition: 0.3s;}
.links.open li:nth-child(2){transition: 0.4s;}
.links.open li:nth-child(3){transition: 0.5s;}
.links.open li:nth-child(4){transition: 0.6s;}
.links.open li:nth-child(5){transition: 0.7s;}

}